@import url('https://fonts.googleapis.com/css2?family=M+PLUS+Rounded+1c:wght@300;400;500;700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

::-webkit-scrollbar {
  background-color: whitesmoke;
  border-radius: 10px;
  width: 3px;
  height: 5px;
}

body {
  background-color: #11061f;
  font-family: "Poppins", sans-serif;
}

html {
  scroll-behavior: smooth;
}

header {
  display: flex;
  justify-content: center;
  position: fixed;
  width: 100vw;
  top: 0;
  left: 0;
}

ul {
  margin-top: 10px;
  background-color: #1A0B2E;
  opacity: 0.7;
  border-radius: 30px;
  padding: 0px 40px;
  width: 60%;
  display: flex;
  justify-content: space-between;
}

li {
  margin-top: 15px;
  padding-bottom: 3px;
  list-style: none;
  color: rgb(255, 255, 255);
  margin-bottom: 12px;
  font-size: larger;
}

li a:hover {
  color: aqua;
  text-decoration: underline;
}

main {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.container {
  width: 60%;
  font-family: cursive;
  padding-bottom: 10vh;
}

section {
  background-color: rgba(30, 29, 42, 0.5);
}

.Home {
  margin: 100px 28px 28px 28px;
  color: rgb(198, 203, 208);
  display: flex;
  flex-direction: column;
  gap: 50px;
  align-items: center;
  max-width: 1000px;
}

.profile {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.profile img {
  margin: 30px;
  margin-top: 40px;
  width: 75%;
  border-radius: 50%;
  border: 1.3px solid blue;
}

.profile img:hover {
  cursor: none;
  box-shadow: 0px 0px 20px 5px rgb(83, 106, 129);
   transition: 0.5s;  
}

.profiletext {
  width: 50%;
  padding-right: 50px;
}

.profile span {
  margin-left: 30px;
  font-size: 25px;
  line-height: 1.2;
}

.profile span h6 {
  margin-top: 20px;
  color: rgba(220, 218, 238, 0.5);
}

button:hover{
  transition: 0.5s;
  background-color: aqua;
}
.box2 button {
  max-width: 250px;
  margin-top: 20px;
  padding: 15px 50px;
  border-radius: 70px;
  background: repeating-linear-gradient(225deg, rgb(132, 0, 255) 0%, rgb(230, 0, 255) 100%);
  color:white;
  opacity: 75%;
}

.box2 button:hover {
  text-shadow: 2px 2px 8px #1A0B2E;
  opacity: 100%;
  box-shadow: 0px 0px 10px 2px aqua, inset 0px 0px 10px 2px aqua;
}



.contect {
  background-color: #080909;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  padding: 50px;
}

.box {
  margin: 30px;
  text-align: center;
  width: 30%;
  color: white;
}

.box h3 {
  color: rgb(98, 112, 124);
}

.sms {
  margin: 20px;
  display: flex;
  flex-direction: column;
  text-align: left;
}

.sms label {
  margin-top: 10px;
}

button:hover {
  background-color: aqua;
  cursor: pointer;
}

input,
textarea {
  outline: none;
  border-radius: 5px;
}

input {
  height: 40px;
  padding: 0px 4px;
}

textarea {
  resize: vertical;
  min-height: 150px;
}

button {
  margin-top: 15px;
  padding: 10px 20px;
  font-size: 20px;
  font-weight: bold;
  border: none;
  border-radius: 10px;
  background-color: rgb(64, 188, 64);
  width: 100%;
}

button:active {
  background-color: rgb(47, 29, 189);
  color: white;
}

/* FOOTER */
footer {
  background-color: #1b1a1b;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  color: white;
  height: 110px;
}

.ids {
  margin-top: 10px;
  display: flex;
  gap: 10px;
  font-size: 30px;
}

a {
  color: white;
  text-decoration: none;
}

.ids span {
  padding: 0 5px;
}

.ids span:hover {
  border-radius: 5px;
  background-color: white;
}

.ids span:hover i,
.ids span:hover a {
  color: black;
}

.madeby {
  margin: 20px 0px;
}

.madeby:hover {
  cursor: not-allowed;
}
.allproject {
  justify-content: center;
  display: flex;
  flex-wrap: wrap;
  max-width: 1200px;
  gap: 20px;
}

.project img {
  margin-top: 5px;
  max-width: 300px;
  border-radius: 10px;
  height: 180px;
  width: max-content;
}

.project .img img {
  width: 100%;
  object-fit: contain;
}

.project:hover,
.skillbox:hover {
  cursor: not-allowed;
  box-sizing: border-box;
  box-shadow:
    0px 0px 10px 8px rgb(49, 111, 173);
}

.content {
  margin: 10px;
  display: flex;
  flex-direction: column;
}

.content p {
  padding-top: 10px;
  font-size: x-small;
  height: 70px;
  overflow-y: scroll;
  /* scr */
}

.project {
  border: 1px solid rgb(255, 0, 217);
  border-radius: 20px;
  background-color: #1A0B2E;
  width: 320px;
  /* height: 380px; */
  padding: 8px;
  transition-duration: 0.5s;
}


.heading {
  color: white;
  display: block;
  justify-items: center;
  max-width: 850px;
}
#skills .Home {
  flex-direction: row;
  flex-wrap: wrap;
  max-width: 1000px;
  justify-content: center;
}
.skillbox {
  border: 1px solid rgb(255, 0, 217);
  border-radius: 20px;
  background-color: #1A0B2E;
  max-width: 400px;
  padding: 20px;
  box-sizing: border-box;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 20px;
  transition: 0.5s;
}

.skill1 {
  border: 0.5px solid white;
  border-radius: 10px;
  padding: 7px;
  display: flex;
  gap:5px;
  align-items: center;
  background-color: rgba(147, 143, 214, 0.4);
}

.skill1 img {
  width: 30px;
  border-radius: 4px;
}

.skill2 {
  background-color: rgba(147, 143, 214, 0.4);
  align-self: center;
  padding: 10px;
  font-size: 20px;
  border-radius: 10px;
  color: rgb(180, 243, 255);
  border: 0.5px solid white;
}

.contectbox h1 {
  margin-bottom: 40px;
}

.contectbox p {
  margin-top: 20px;
  width: fit-content;
}

.contectbox .email:hover {
  text-decoration: underline;
  cursor: pointer;
}

@media screen and (max-width:550px) {
  header ul {
    width: 95%;
    padding: 0px 2px;
  }

  header ul li {
    margin: 7px 4px;
    padding: 5px 10px;
    font-size: 15px;
  }
  .profile{
    margin-top: -20px;
  }
  .profiletext {
    margin-top: 40px;
    width: 90%;
    padding-right: 0px;
  }

  .profile span {
    margin-left: 0px;
    font-size: 25px;
    line-height: 1.2;
  }
}

@media screen and (max-width: 576px) {
  .container {
    width: 95%;
  }

  .profile {
    flex-direction: column;
    text-align: center;
  }

  .profile img {
    width: 60%;
    box-shadow: 0px 0px 20px 5px rgb(83, 106, 129)
  }


  .profiletext {
    margin-top: 40px;
    width: 90%;
    padding-right: 0px;
  }

  .profile span {
    margin-left: 0px;
    font-size: 25px;
    line-height: 1.2;
  }

  .contect {
    flex-direction: column;
    align-items: center;
  }

  .box {
    width: 90%;
    margin: 20px 0;
    font-size: 14px;
  }

  .box2 {
    flex-direction: column;
  }

  .h {
    align-self: center;
  }

  .h button {
    margin-top: 10px;
  }
}

@media screen and (min-width: 577px) and (max-width: 900px) {
  .container {
    width: 80%;
  }

  .box {
    min-width: 55%;
  }
}

@media screen and (min-width: 901px) {
  .container {
    width: 60%;
  }

  .box {
  width: min(50%, 500px);
}
}

@media screen and (min-width:550px) and (max-width:1000px) {
  header ul {
    width: 90%;
    padding: 0px 5px;
  }
}